<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MateriaCarrera extends Model
{
    protected $table = "ins_matcar";
    protected $primaryKey = 'cve_matcar';
    protected $fillable = ['id', 'cve_mat', 'status_matcar'];

    //Función - Es la relacion entre materiaCarrera y Materia
    public function materia()
    {
        return $this->belongsTo('App\Materia', 'cve_mat', 'cve_mat');
    }
    //Función - Es la relacion entre materiaCarrera y Carrera
    public function carrera()
    {
        return $this->belongsTo('App\Carrera', 'id', 'id');
    }
}
